cgGetDomain(3)

NAME
cgGetDomain - get the domain enumerant from a domain name

SYNOPSIS
  #include <Cg/cg.h>

  CGdomain cgGetDomain( const char * domain_string );

PARAMETERS

domain_string
    A string containing the case-sensitive domain name.

RETURN VALUES
Returns the domain enumerant of domain_string.

Returns CG_UNKNOWN if the given domain does not exist.

DESCRIPTION
cgGetDomain returns the enumerant assigned to a domain name.

EXAMPLES
  CGdomain ARBVP1domain = cgGetDomain("arbvp1");

  if(cgGetProgramDomain(myprog) == ARBVP1Domain)
  {
    /* Do stuff */
  }

ERRORS
CG_INVALID_PARAMETER_ERROR is generated if domain_string is NULL.

HISTORY
cgGetDomain was introduced in Cg 2.2.

SEE ALSO
cgGetDomainString, cgGetProgramDomain